QGIS Application - Bug report #20940
Layout: Horizontal and vertical arrows cannot be selected using single click
2019-01-08 09:13 AM - J. Dugge

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28759
Description

When the "Select/Move item" tool is active, unlocked layout items can be selected by clicking once within an item's bounding box. Arrows
that run exactly horizontally (vertically) have a bounding box of zero height (width) and cannot be selected using a single click.

Interestingly, double-clicking such an arrow does select the arrow, but this requires very precise aim.

Instead of using the bounding box as the selection target, it would be more intuitive to use the visible pixels of the arrow, possibly using a
small buffer (this seems to be what Inkscape does).

Associated revisions

Revision 1cdff21c - 2019-01-29 12:59 AM - Jiirnjakob Dugge

[layouts] Use polyline shape instead of bounding box for selection, makes polylines selectable via single click

Fixes #20940

Revision 33660ced - 2019-01-29 04:35 PM - Juirnjakob Dugge

[layouts] Use polyline shape instead of bounding box for selection, makes polylines selectable via single click

Fixes #20940

(cherry picked from commit 1cdff21c85b97cc9b650022447d3d64c46088cf5)

History

#1 - 2019-01-09 12:01 PM - J. Dugge

It is also not possible to select horizontal or vertical arrows using a rectangle selection when the ALT-modlifier is used.

#2 - 2019-01-29 12:59 AM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|1cdff21c85b97cc9b650022447d3d64c46088cf5.
